@import '{}/imports/ui/stylesheets/variables/index';

// ** Compact
//========================================================================================

.alert-archived {
	@include alert-variant(
		$archived-color,
		darken($archived-color, 5%),
		darken($archived-color, 60%)
	);
}

.course-compact {
	border-color: $course-border-color;
	border-style: solid;
	border-width: $course-border-width;
	height: 150px;
	position: relative;
	transition-duration: 0.1s;
	transition-property: #{'box-shadow opacity'};

	&:hover {
		box-shadow: $shadow-lg-offset-x $shadow-lg-offset-y $shadow-lg-blur $default-shadow;
	}

	&.is-proposal {
		border-style: $proposal-border-style;
	}

	&.has-past-events {
		border-style: $has-past-events-border-style;
	}

	&.has-upcoming-events {
		background: $has-upcoming-events-bg;
	}

	&.is-archived {
		border-color: $archived-color;
	}

	&.filter-no-match,
	&.filter-no-match-delayed {
		transition-duration: 0.25s;
		transition-property: opacity;
	}

	&.filter-no-match-delayed {
		transition-delay: 0.3s;
	}
}

.course-compact.elevate-child,
.course-compact.elevate-child:hover {
	box-shadow: none;
	transition: box-shadow $default-transition-time;
}

// ** Content
//========================================================================================
.course-compact-content {
	background: $body-bg;
	padding-inline-start: 15px;
}

.has-upcoming-events > .course-compact-content {
	background: transparent;
	padding-inline-end: 5px;
	padding-inline-start: 15px;
}

// ** Title
//========================================================================================
.course-compact-title {
	@include ellipsis-multiline(2);

	color: $gray-700;
	font-size: 20px;
	line-height: 24px;
	margin: 9.5px 0;
	max-height: 60px;
}

// ** Internal indicator dot
//========================================================================================
.course-compact-internal {
	background-color: #f00;
	border-radius: 50%;
	height: 5px;
	left: 6px;
	position: absolute;
	top: 6px;
	width: 5px;
}

// ** Categories
//========================================================================================
.course-compact-content .course-categories {
	height: 55px;
	margin-bottom: 0;
	overflow: hidden;
}

// ** Event
//========================================================================================
.course-compact-next-event {
	background: $course-compact-next-event-bg;
	color: $course-compact-next-event-color;
	inset-inline-end: -7px;
	max-height: 150px;
	overflow: hidden;
	padding: 5px;
	position: relative;
	text-align: center;
	top: -7px;
}

.course-compact-next-event-component {
	@include ellipsis;
}

// ** Roles
//========================================================================================
.course-compact-roles {
	inset-inline-end: -7px;
	padding: 0;
	position: relative;
	top: -7px;
}

.course-compact-role {
	text-align: center;
}

.course-compact-role + .course-compact-role {
	margin-top: 3px;
}

.course-compact-role-needed {
	background-color: $role-needed-bg;
	color: $role-needed-color;
}

.course-compact-role-occupied {
	$background-color: $green;

	background-color: $background-color;
	color: desaturate(darken($background-color, 40%), 50%);
}

.course-compact-role-occupied-by-user {
	background-color: $user-bg;
	color: desaturate(darken($user-bg, 40%), 60%);
}

// ** Grouplist
//========================================================================================
.course-groups {
	position: absolute;
}

.course-compact > .course-groups {
	bottom: $course-border-width;
	inset-inline-end: $course-border-width;
	padding: 0;
	width: auto;
}
